%{!?python_sitelib: %global python_sitelib %(%{__python3} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		python3-pylast
Version:	0.5.11
Release:	6%{?dist}.art
Summary:	A Python interface to Last.fm API compatible social networks
Group:		Development/Languages
License:	ASL 2.0
URL:		http://pypi.python.org/pypi/pylast
Source0:	http://pypi.python.org/packages/source/p/%{name}/pylast-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildArch:	noarch


%description
A Python interface to Last.fm (and other API compatible social networks)


%prep
%setup -q -n pylast-%{version}
chmod 644 README


%build
#%{__python3} -c 'import setuptools; execfile("setup.py")' build
%{__python3} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
#%{__python3} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT
%{__python3} setup.py install --skip-build --root %{buildroot}



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{python3_sitelib}/pylast.py*
%{python3_sitelib}/__pycache__/pylast.cpython-33.pyc
%{python3_sitelib}/pylast-%{version}-*.egg-info




%changelog
* Mon May 5 2014 Scott R. Shinn <scott@atomicorp.com> - 0.5.11-6
- Add for python3

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 03 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.5.11-1
- Initial package

